ingres_errno
ingres_errsqlstate
Ingres Functions
PHP Manual

# ingres_error

(PECL ingres >= 1.1.0)

ingres_error — Get a meaningful error message for the last error generated

### Description

string ingres_error ([ resource `$link` ] )

Returns a string containing the last error, or NULL if no error has occurred.

If a `link` resource is passed to ingres_error(), it returns the last error recorded for the link. If no link is passed then ingres_error() returns the last error reported using the default link.

The function, ingres_error(), should always be called after executing any database query. Calling another function before ingres_error() is called will reset or change any error message from the last Ingres function call.

### Parameters

`link`

  The connection link identifier

### Return Values

Returns a string containing the last error, or NULL if no error has occurred.

### Examples

Example #1 Get a message for the last error generated

`<?php
$link = ingres_connect($database, $user, $password);
$result = ingres_query($link, "select * from table");
$error_text = ingres_error();
if (!is_null($error_text)) {
echo "An error occurred - " . $error_text;
}
?>`

### See Also

- ingres_errno() - Get the last Ingres error number generated
- ingres_errsqlstate() - Get the last SQLSTATE error code generated
- ingres_next_error() - Get the next Ingres error

ingres_errno
ingres_errsqlstate
Ingres Functions
PHP Manual